Bug 166470 - Review Request: taskjuggler
Review Request: taskjuggler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
http://www.taskjuggler.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 03:48 EDT by Jens Petersen
Modified: 2015-04-02 08:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 03:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbabinca: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-08-22 03:48:25 EDT
Spec Name or Url: http://people.redhat.com/petersen/taskjuggler.spec
SRPM Name or Url: http://people.redhat.com/petersen/taskjuggler-2.1.1-1.src.rpm
Description: TaskJuggler is a project management tool.
Comment 1 Jens Petersen 2005-08-22 03:54:31 EDT
Package lightly tested.

The tjx2gantt script requires the perl module PostScript::Simple,
but according to the script it is still alpha - so dunno if it
should just be disabled say?

(I just packaged this for someone else and thought I might as well
post it hear since noone has packaged it for Fedora yet afaict
- so if someone else wants this package don't be sky. :)

Comment 2 Jens Petersen 2005-10-05 01:29:17 EDT
(Files moved to <http://people.redhat.com/petersen/extras/>.)
Comment 3 John Mahowald 2005-10-16 10:36:42 EDT
needswork:
* doesn't use desktop-file-install for .desktop
* missing BuildRequires qt-devel
* does not find qt headers on FC4, probably needs to be specified to %configure
Comment 4 Jens Petersen 2006-03-28 06:22:04 EST
Thanks for the review: sorry for taking so long to followup.

I'm not an kde packaging expert but looking at other kde packages
it seems they don't use desktop-file-install either, so maybe it
is not needed?

I updated the BRs to just kdepim-devel (which requires kdelibs-devel
which requires qt-devel).

Ok, I tweaked the configure options for qt.  So hopefully better now.
(I added --with-qt-includes though I suspect is it not actually needed.)

Updated files at:

  http://people.redhat.com/petersen/extras/taskjuggler.spec
  http://people.redhat.com/petersen/extras/taskjuggler-2.2.0-1.src.rpm
Comment 5 John Mahowald 2006-04-30 21:20:07 EDT
E: taskjuggler binary-or-shlib-defines-rpath /usr/bin/TaskJugglerUI
['/usr/lib64', '/usr/lib64/qt-3.3/lib']

Try configure --disable-rpath

W: taskjuggler devel-file-in-non-devel-package /usr/lib64/libtaskjuggler.so

It's a symlink, no big deal

E: taskjuggler zero-length
/usr/share/apps/taskjuggler/templates/en_US/Blank_File.tji

Ignore.

E: taskjuggler library-without-ldconfig-postin /usr/lib64/libtaskjuggler.so.3.0.3
E: taskjuggler library-without-ldconfig-postun /usr/lib64/libtaskjuggler.so.3.0.3

* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* No downloadable source. Please give the full URL in the Source tag.

.desktop file needs some work, use desktop-file-install
* Desktop file: vendor should be fedora
  (wiki: PackagingGuidelines#desktop)
* Scriptlets: missing update-desktop-database
  (wiki: ScriptletSnippets)
* Desktop file: the Categories tag should contain X-Fedora
  (wiki: PackagingGuidelines#desktop)
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)

* Scriptlets: missing "gtk-update-icon-cache" in %post (wiki: ScriptletSnippets)
* Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki: ScriptletSnippets)

The /usr/share/doc/HTML conflicts with Fedora's stuff, this and probably the
contents of packages/taskjuggler should be flagged with %doc instead.

Any way to remove the .la file? 
Comment 6 Jens Petersen 2006-05-11 08:35:46 EDT
Thank you for the comments.

(In reply to comment #5)
> E: taskjuggler binary-or-shlib-defines-rpath /usr/bin/TaskJugglerUI
> ['/usr/lib64', '/usr/lib64/qt-3.3/lib']
> 
> Try configure --disable-rpath

Added.

> W: taskjuggler devel-file-in-non-devel-package /usr/lib64/libtaskjuggler.so
> 
> It's a symlink, no big deal

Removed.

> E: taskjuggler library-without-ldconfig-postin /usr/lib64/libtaskjuggler.so.3.0.3
> E: taskjuggler library-without-ldconfig-postun /usr/lib64/libtaskjuggler.so.3.0.3

Fixed.

> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)

Added for now.

> * No downloadable source. Please give the full URL in the Source tag.

Fixed.

> .desktop file needs some work, use desktop-file-install
> * Desktop file: vendor should be fedora
>   (wiki: PackagingGuidelines#desktop)
> * Scriptlets: missing update-desktop-database
>   (wiki: ScriptletSnippets)
> * Desktop file: the Categories tag should contain X-Fedora
>   (wiki: PackagingGuidelines#desktop)
> * Desktop file: the Categories tag should contain Application
>   (wiki: PackagingGuidelines#desktop)
> * Scriptlets: missing "gtk-update-icon-cache" in %post (wiki: ScriptletSnippets)
> * Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki: ScriptletSnippets)

Added.

> The /usr/share/doc/HTML conflicts with Fedora's stuff, this and probably the
> contents of packages/taskjuggler should be flagged with %doc instead.

The location seems standard for KDE packages.  I don't know if changing this
would need require matching changes in source code too.

> Any way to remove the .la file? 

Removed.

Here is the updated submission:

http://people.redhat.com/petersen/extras/taskjuggler.spec
http://people.redhat.com/petersen/extras/taskjuggler-2.2.0-2.src.rpm
Comment 7 Jens Petersen 2006-06-19 21:53:40 EDT
ping
Comment 8 John Mahowald 2006-06-19 23:03:53 EDT
(In reply to comment #6)

> > W: taskjuggler devel-file-in-non-devel-package /usr/lib64/libtaskjuggler.so
> > 
> > It's a symlink, no big deal
> 
> Removed.

Sorry if I wasn't clear, this can stay. rpmlint gives a false alarm on symlinks.

> 
> > The /usr/share/doc/HTML conflicts with Fedora's stuff, this and probably the
> > contents of packages/taskjuggler should be flagged with %doc instead.
> 
> The location seems standard for KDE packages.  I don't know if changing this
> would need require matching changes in source code too.
> 
That's correct, I'm not as familiar with KDE locations. Keep it.

Blockers have been fixed. APPROVED
Comment 9 Jens Petersen 2006-06-21 03:12:08 EDT
Thanks for the review.

Package imported in devel branch, built and branches requested.
Comment 10 Jaroslav Reznik 2015-04-02 08:11:36 EDT
Package Change Request
======================
Package Name: taskjuggler
New Branches: epel7
Owners: jreznik
InitialCC:
Comment 11 Pavol Babinčák 2015-04-02 08:27:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.